TRC_PKT_LISTER(1)

NAME
trc_pkt_lister - decodes captured CoreSight® trace

SYNOPSIS
trc_pkt_lister [ -ss_dir <dir> ] [ -ss_verbose ] [ -id <n> ] [ -src_name <name> ] [ -decode ] [ -decode_only ] [ -o_raw_packed ] [ -o_raw_unpacked ] [ -logstdout ] [ -logstderr ] [ -logfile ] [ -logfilename <name> ]

DESCRIPTION
trc_pkt_lister is a tool that takes a snapshot directory as an input, and lists and/or decodes all the trace packets for a single source, for any currently supported protocol.

The output will be a list of discrete packets, generic output packets and any error messages to file and/or screen as selected by the input command line options.

By default the program will list packets only (no decode), for the first discovered trace sink (ETB, ETF, ETR) in the snapshot directory, with all streams output.

OPTIONS

  Snapshot selection
The program defaults to ./ if no -ss_dir option is given

-ss_dir <dir>
    Set the directory path to a trace snapshot.

-ss_verbose
    Verbose output when reading the snapshot.

  Decode options

-id <n>
    Set an ID to list (may be used multiple times) - default if no id set is for all IDs to be printed.

-src_name <name>
    List packets from a given snapshot source name (defaults to first source found).

-decode
    Full decode of the packets from the trace snapshot (default is to list undecoded packets only.

-decode_only
    Does not list the undecoded packets, just the trace decode.

-o_raw_packed
    Output raw packed trace frames.

-o_raw_unpacked
    Output raw unpacked trace data per ID.

  Output options
Default is to output to file and stdout. Setting any option overrides and limits to only the options set.

-logstdout
    output to stdout.

-logstderr
    output to stderr.

-logfile
    output to file using the default log file name.

-logfilename <name>
    change the name of the output log file.

FILES
Trace Snapshot directory.

The ./tests/snapshots directory contains a number of trace snapshots used for testing the library. Trace snapshots are dumps of captured binary trace data, CoreSight component configurations and memory dumps to allow trace decode.

Snapshots are generated on ARM targets and can then be analysed offline. The snapshot format is available in a separate document.

EXAMPLE
Example command lines with short output excerpts.

TC2 ETMv3 packet processor output, raw packet output.
Command line:
trc_pkt_lister -ss_dir ../../snapshots/TC2 -o_raw_unpacked

Output:
Frame Data; Index 17958; ID_DATA[0x11]; 16 04 c0 86 42 97 e1 c4
Idx:17945; ID:11;    I_SYNC : Instruction Packet synchronisation.; (Periodic); Addr=0xc00
416e2; S; ISA=Thumb2;
Idx:17961; ID:11;    P_HDR : Atom P-header.; WEN; Cycles=1
Frame Data; Index 17968; ID_DATA[0x11]; ce af 90 80 80 00 a4 84 a0 84 a4 88
Idx:17962; ID:11;    TIMESTAMP : Timestamp Value.; TS=0x82f9d13097 (562536984727)
Idx:17974; ID:11;    P_HDR : Atom P-header.; WW; Cycles=2

Juno ETB_1 selected for STM packet output, raw packet output
Command line:
trc_pkt_lister -ss_dir ../../snapshots/juno_r1_1 -o_raw_unpacked -src_name ETB_1

Juno ETMv4 full trace decode + packet monitor, source trace ID 0x10 only.
Command line:
trc_pkt_lister -ss_dir ../../snapshots/juno_r1_1 -decode -id 0x10